Bug 1476823 - [RFE] remove network name restrictions.
[RFE] remove network name restrictions.
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Backend.Core (Show other bugs)
4.1.4.2
Unspecified Unspecified
high Severity high (vote)
: ovirt-4.1.6
: ---
Assigned To: Leon Goldberg
Michael Burman
: FutureFeature
Depends On:
Blocks: 1477204
  Show dependency treegraph
 
Reported: 2017-07-31 10:30 EDT by Leon Goldberg
Modified: 2017-09-19 06:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: ovirt-engine-4.1.5.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-19 06:01:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.1?
rule-engine: planning_ack?
danken: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 79990 ovirt-engine-4.1 MERGED backend: remove character restrictions from network names 2017-08-01 07:07 EDT
oVirt gerrit 79999 ovirt-engine-4.1 MERGED frontned: remove ui network name/vnic profile restrictions 2017-08-01 07:08 EDT
oVirt gerrit 80000 ovirt-engine-4.1 MERGED core: AddEmptyStoragePoolCommand: set vdsmName to default network 2017-08-01 07:09 EDT

  None (edit)
Description Leon Goldberg 2017-07-31 10:30:16 EDT
Currently, oVirt limits the names of its networks to 15 alphanumeric characters. This limitation dates back to the ages where all networks were VM network, all were implemented by a Linux bridge, and the same name was used to identify the network and the Linux bridge implementing it on each host. 

That has to change. 15 characters are not enough for humans; spaces, and other special characters are visually useful, and non-English speaking users would love to use their native alphabet in network names. 

For this reason network names are allowed to consist of 256 Unicode characters. If a Linux bridge is created, the name is created from the network name, if it is suitable, or from the network's uuid.
Comment 1 Michael Burman 2017-08-06 01:35:36 EDT
This RFE need some additional work - 

- Issue 1 - When creating names like -
gggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggg

tttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttttt

Engine fails to create vNIC profiles to such networks with internal server error:
2017-08-06 08:23:47,804+03 ERROR [org.ovirt.engine.core.bll.network.vm.AddVnicProfileCommand] (default task-8) [6148f74c-7bf4-4cd6-b1b8-6fedc73f30e8] Exception: org.springframework.dao.DataIntegrityViolationExcept
ion: CallableStatementCallback; SQL [{call insertvnicprofile(?, ?, ?, ?, ?, ?, ?, ?, ?, ?)}]; ERROR: value too long for type character varying(50)
  Where: SQL statement "INSERT INTO vnic_profiles (
        id,
        name,
        network_id,
        network_qos_id,
        port_mirroring,
        passthrough,
        migratable,
        custom_properties,
        description,
        network_filter_id
        )
    VALUES (
        v_id,
        v_name,
        v_network_id,
        v_network_qos_id,
        v_port_mirroring,
        v_passthrough,
        v_migratable,
        v_custom_properties,
        v_description,
        v_network_filter_id
        )"

- Issue 2 - When creating long names with special characters(@#$%^&*) for example:
test-netw-123456-%5#@%&*()_+=1111111
test-net-@#$%^&*(
test55555555555@
Engine doesn't show and recognize those profiles in the VM's vNIC drop down list. 
Engine shows in the VM's vNIC drop down list only long names without special characters, such as:
test555555555555
Comment 2 Michael Burman 2017-09-13 08:09:17 EDT
Verified on - 4.1.6.2-0.1.el7 and vdsm-4.19.31-1.el7ev.x86_64

Note You need to log in before you can comment on or make changes to this bug.